import * as Sentry from "@sentry/nextjs";
import { config } from "./lib/config";

if (config.errors.glitchtip.enabled) {
  Sentry.init({
    dsn: config.errors.glitchtip.dsn,
    tracesSampleRate: 1.0,
    debug: config.isDevelopment,
    environment: config.target || "production",
  });
}
